Can cIOS be the issue if an HDD is recognize or not?

Discussion in 'Wii - Hacking' started by Psygnosis, May 27, 2017.

  1. Psygnosis
    OP

    Psygnosis Advanced Member

    Newcomer
    54
    0
    Jul 25, 2009
    Italy
    Hi, some times ago I decide to update my softmod trhough modmii + syscheck.
    I thought everything was fine untill I plug my external hdd that as a FAT32 first partition and an NTFS partition.
    This HDD worked before the update, now usb loader gx (and wiiflow) don't recognize the hdd (error: usb device not initialized).
    I don't know what cIOS i have before the update, but I try the v6, v52 and v53 (56/249 and 57/250) and nothing seams to work.
    Either the WiiU (vWii) with v53-alt (56/249, 57/250, 58/251) I have the same problem.
    No problem with flash drives.

    Can the cIOS version be the problem with hdd? What should I do? reinstall v8 maybe or v9 with the modmii help? what issue can I have using an old version of cIOS?

    thank you in advance

    EDIT: here the syscheck
     
    Last edited by Psygnosis, May 27, 2017
  2. Psygnosis
    OP

    Psygnosis Advanced Member

    Newcomer
    54
    0
    Jul 25, 2009
    Italy
    no one?
     
  3. AndreGalvez

    AndreGalvez Member

    Newcomer
    14
    4
    Jul 23, 2017
    Mexico
    I recommend you reinstall the D2X cIOS with v8
    The v10 is beta
     
  4. Cyan

    Cyan GBATemp's lurking knight

    Global Moderator
    18,029
    8,551
    Oct 27, 2002
    France
    Engine room, learning
    the cIOS is responsible for hardware communication, so it's the one responsible for USB driver, drive init, partition detection, etc.

    I've already seen other users having the same problem you explain, and they usually had a very old setup (like, cIOS rev17, with only WBFS supported, no FAT32 etc.)
    You could try different newer cIOS version, but I've seen some user formating the drive back to WBFS to have successful detection and init. It's not a recommended format, but it still work.

    Like AndreGalvez said, you should install v8 final if you are on Wii.
    v9 is beta (and not very compatible)
    v10 is v8 (almost the same, no need to go to v10 r52, just keep v8)
    v10-alt r53 is v9 (not very compatible)

    If you have detection issue, you can try to use IOS58 in the loader. It's strange because Wiiflow is already using that IOS and users need to set USBLoaderGX to that IOS manually. But you said Wiiflow was not working either.
    just try.

    suggestions :
    - install v8 (base 57 is enough for 99% games), but the common setup is base56/249 and base57/250.
    - try IOS58 in USBLoaderGX>loader settings>Loader's IOS.
    - try another device or check your drive (FAT32, 32k cluster etc.)
    - try formating to WBFS, but you won't be able to use other homebrew.
     
    GreyWolf likes this.